#include <cassert>
#include <cmath>
#include <cstdio>
#include <cstdlib>
#include <cstring>

#define TASKNAME "stairs"

const int MaxN = 16;

int c [MaxN] [MaxN];
int l, h;

int main (void)
{
 int i, j;
 freopen (TASKNAME ".in", "rt", stdin);
 freopen (TASKNAME ".out", "wt", stdout);
 memset (c, 0, sizeof (c));
 c[0][0] = 1;
 for (i = 1; i < MaxN; i++)
 {
  c[i][0] = 1;
  for (j = 1; j <= i; j++)
   c[i][j] = c[i - 1][j] + c[i - 1][j - 1];
 }
 while (scanf (" %d %d", &l, &h) != EOF)
 {
  h -= l;
  if (h < 0) printf ("%d\n", 0);
  else printf ("%d\n", c[l][h]);
 }
 return 0;
}
