#include <stdio.h>

static char Field[100][100];

int Check( int *Px, int *Py, int x, int y, int N )
{
  int i;

  for (i = 0; i < N; i++)
    if (x == Px[i] && y == Py[i])
      return 1;
  return 0;
}

void RotateR( int *cx, int *cy )
{
  if (*cx == 0 && *cy == 1)
  {
    *cx = 1;
    *cy = 0;
  }
  else if (*cx == 1 && *cy == 0)
  {
    *cx = 0;
    *cy = -1;
  }
  else if (*cx == 0 && *cy == -1)
  {
    *cx = -1;
    *cy = 0;
  }
  else if (*cx == -1 && *cy == 0)
  {
    *cx = 0;
    *cy = 1;
  }
}

void RotateL( int *cx, int *cy )
{
  if (*cx == 0 && *cy == 1)
  {
    *cx = -1;
    *cy = 0;
  }
  else if (*cx == -1 && *cy == 0)
  {
    *cx = 0;
    *cy = -1;
  }
  else if (*cx == 0 && *cy == -1)
  {
    *cx = 1;
    *cy = 0;
  }
  else if (*cx == 1 && *cy == 0)
  {
    *cx = 0;
    *cy = 1;
  }
}     

int main( void )
{
  int N, i, j, x, y, Px[100] = {0}, Py[100] = {0}, count = 1, cx, cy;

  freopen("walk.in", "r", stdin);
  freopen("walk.out", "w", stdout);

  scanf("%i", &N);
  for (i = 0; i < N; i++)
    scanf("%i %i", &Px[i], &Py[i]);

  x = 0;
  y = 0;
  cx = 0;
  cy = 1;
  Field[0][0] = 1;
  while (!Check(Px, Py, x, y, N))
  {
    if (Field[x + cx][y + cy])
      RotateL(&cx, &cy);
    else
    {
      Field[x += cx][y += cy] = 1;
      count++;
      RotateR(&cx, &cy);
    }
  }

  printf("%i", count);

  fclose(stdin);
  fclose(stdout);
  return 0;
}
