#include <cassert>
#include <cmath>
#include <cstdio>
#include <cstdlib>
#include <cstring>

#define TASKNAME "walk"

const int MaxC = 208, MidC = MaxC >> 1, MaxD = 4;
const int dx [MaxD] = {0, 1, 0, -1},
          dy [MaxD] = {1, 0, -1, 0};

int b [MaxC] [MaxC];
int n;

int main (void)
{
 int i, j, k;
 int d, x, y;
 freopen (TASKNAME ".in", "rt", stdin);
 freopen (TASKNAME ".out", "wt", stdout);
 while (scanf (" %d", &n) != EOF)
 {
  memset (b, 0, sizeof (b));
  for (i = 0; i < n; i++)
  {
   scanf (" %d %d", &j, &k);
   b[j + MidC] [k + MidC] = 2;
  }
  x = y = MidC;
  d = 0;
  for (k = 1; b[x][y] != 2; k++)
  {
   b[x][y] = 1;
   x += dx[d];
   y += dy[d];
   d = (d + 1) & 3;
  }
  printf ("%d\n", k);
 }
 return 0;
}
