#include <cassert>
#include <cmath>
#include <cstdio>
#include <cstdlib>
#include <cstring>

#define TASKNAME "stairs"

const int MaxN = 16;

int f [MaxN] [MaxN];
int l, h;

int main (void)
{
 int i, j;
 freopen (TASKNAME ".in", "rt", stdin);
 freopen (TASKNAME ".out", "wt", stdout);
 while (scanf (" %d %d", &l, &h) != EOF)
 {
  memset (f, 0, sizeof (f));
  f[0][0] = 1;
  for (i = 0; i < l; i++)
   for (j = 0; j < h; j++)
    f[i + 1][j + 1] += f[i][j],
    f[i + 1][j + 2] += f[i][j];
  printf ("%d\n", f[l][h]);
 }
 return 0;
}
